docusign.account-watermarks.put-watermark ​
Returns information about the watermark for the account.
Update watermark information.
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
displayangle | string | No | — | The display angle of the watermark. Valid values: * 0 (horizontal) * 45 (diagonal) * 90 (vertical) |
enabled | string | No | — | When true, the watermark will be applied to documents that are still in progress. When false, the watermark will not be applied. |
font | string | No | — | The watermark's font. Valid values: - courier - helvetica - timesnewroman |
fontcolor | string | No | — | The watermark's font color. Valid values: * black * blue * red * gray * yellow |
fontsize | string | No | — | The watermark's font size. Valid values: * 30 * 40 * 50 * 60 * 70 * 80 * 90 |
id | string | No | — | The ID of the watermark. |
imagebase64 | string | No | — | The Base64 representation of the watermark image. This property is read-only. |
transparency | string | No | — | The transparency percentage of the watermark image. Valid values: * 5 * 10 * 15 * 20 * 25 * 30 * 35 * 40 * 45 |
watermarktext | string | No | — | The text for the watermark. |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
displayangle | string | No | — | The display angle of the watermark. Valid values: * 0 (horizontal) * 45 (diagonal) * 90 (vertical) |
enabled | string | No | — | When true, the watermark will be applied to documents that are still in progress. When false, the watermark will not be applied. |
font | string | No | — | The watermark's font. Valid values: - courier - helvetica - timesnewroman |
fontcolor | string | No | — | The watermark's font color. Valid values: * black * blue * red * gray * yellow |
fontsize | string | No | — | The watermark's font size. Valid values: * 30 * 40 * 50 * 60 * 70 * 80 * 90 |
id | string | No | — | The ID of the watermark. |
imagebase64 | string | No | — | The Base64 representation of the watermark image. This property is read-only. |
transparency | string | No | — | The transparency percentage of the watermark image. Valid values: * 5 * 10 * 15 * 20 * 25 * 30 * 35 * 40 * 45 |
watermarktext | string | No | — | The text for the watermark. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call PUT /v2.1/accounts/{accountId}/watermark |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform PUT /v2.1/accounts/{accountId}/watermark |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.account-watermarks.put-watermark",
"initial_data": {
"base_url": "value",
"accountid": "value"
}
}